<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: last_seen_users_panel.php
| Author: Stefan Ellbracht
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."last_seen_users_panel/locale/English.php";
}	
add_to_head ('<script type="text/javascript" src="'.INFUSIONS.'last_seen_users_panel/js/reflection.js"></script>');
$lmavatar ="1";
openside($locale['global_010']);
$result = dbquery(
	"SELECT ton.*, tu.user_id,user_name, user_avatar FROM ".DB_ONLINE." ton
	LEFT JOIN ".DB_USERS." tu ON ton.online_user=tu.user_id"
);
$guests = 0; $members = array();
while ($data = dbarray($result)) {
	if ($data['online_user'] == "0") {
		$guests++;
	} else {
		array_push($members, array($data['user_id'], $data['user_name']));
	}
}

$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT 0,10");
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		$lastseen = time() - $data['user_lastvisit'];
		$iW=sprintf("%2d", floor($lastseen / 604800));
		$iD=sprintf("%2d", floor($lastseen / (60 * 60 * 24)));
		$iH=sprintf("%02d", floor((($lastseen % 604800) % 86400) / 3600));
		$iM=sprintf("%02d", floor(((($lastseen % 604800) % 86400) % 3600) / 60));
		$iS=sprintf("%02d", floor((((($lastseen % 604800) % 86400) % 3600) % 60)));
		if ($lastseen < 60){
			$lastseen = $locale['lsup001'];
		} elseif ($lastseen < 360){
			$lastseen = $locale['lsup002'];
		} elseif ($iW > 0){
			if ($iW == 1) {
				$text = $locale['lsup003'];
			} else {
				$text = $locale['lsup004'];
			}
			$lastseen = $iW." ".$text;
		} elseif ($iD > 0){
			if ($iD == 1) {
				$text = $locale['lsup005'];
			} else {
				$text = $locale['lsup006'];
			}
			$lastseen = $locale['lsup002'];
		} else {
			$lastseen = $locale['lsup002'];
		}
		echo "<tr>\n<td class='side-small' align='left'>";
         if ($lmavatar=="1") {
	   if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
        echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' width='25' height='25'  alt='user_avatar' class='reflect' />
        </td><td>";
  		echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."' class='side'>\n";
		echo trimlink($data['user_name'], 15)."</a></td><td class='side-small' align='right'>".$lastseen."</td>\n</tr>\n";
        } else { 
            echo "<img src='".INFUSIONS."last_seen_users_panel/images/stock_people.png' width='25' height='25' alt='out' class='reflect'/></td><td>";
		echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."' class='side'>\n";
		echo trimlink($data['user_name'], 15)."</a></td><td class='side-small' align='right'>".$lastseen."</td>\n</tr>\n";
        }
	}
}
}
echo "</table><br />";

echo THEME_BULLET." ".$locale['global_011'].": ".$guests."\n";
if (count($members)) {
	$i = 1;
	while (list($key, $member) = each($members)) {
		if ($i != count($members)) { echo ",\n"; } else { echo "\n"; }
		$i++;
	}
}
$timestamp = time();
$datum = date("Y",$timestamp);
echo "<br /><br />";
echo "<p align='right'><a href='http://wh-hosting.de' target='_blank'>&copy; ".$datum." WH Hosting</a></p>";

closeside();
?>